Announcement

Collapse
No announcement yet.

vBulletin 3.6.8 Patch Level 2 Released

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • vBulletin 3.6.8 Patch Level 2 Released

    vBulletin 3.6.8 Patch Level 2

    This release is a patch to 3.6.8 to fix a security issue reported to us within the WYSIWYG editor for Firefox. Only 3.6.8 is affected by this issue. The only changes in this release are for this security issue, fixes for 3.6.8 Patch Level 1 are also included with the patch.

    The changed files are:
    • includes/functions_editor.php
    • includes/class_bbcode.php (This is part of the Patch Level 1 fix)
    • includes/version_vbulletin.php
    There are no template changes.

    What is a Patch Level? How does it differ from a full release?

    A patch level release contains fixes for only the most critical issues in the previous release. In this case, this means the only changes are to address a security issue.

    It is designed to be installed directly over the top of a 3.6.8 installation, with no other action. You do not need to run any upgrade scripts.

    How to Upgrade
    This is not a full upgrade. You do not need to run any upgrade scripts to complete the upgrade.
    1. Patch: Download a patch file discussed in this thread and upload them to your web server, overwriting the existing files. The patch is available from the Members' Area patch page or you can find it attached to this thread.
    2. Full Package: Alternatively you can download the full package in the vBulletin Members Area and again upload the affected files mentioned in this thread.
    If the files have been overwritten properly, your version will be listed as "3.6.8 Patch Level 2" in the administrators' control panel. Your version will still say 3.6.8 on the front-end.
    Scott MacVicar

    My Blog | Twitter

  • #2
    Patches are now available in the members' area. You may view available patches here. Alternatively, you may use the zip attached to this post to apply the patch. Both methods are equivalent.

    Go to the page mentioned above and download the "Security patch for 3.6.8 / 3.6.8 Patch Level 1" or download the zip at the end of this post. Extract the zip archive, then connect to your web server using FTP and overwrite the following files using the replacement versions from the zip.
    • includes/functions_editor.php
    • includes/class_bbcode.php
    • includes/version_vbulletin.php
    Notes:
    1. If you cannot download the attachment in this post, you are not currently registered as a license customer. Please see this thread for instructions on how to proceed.
    2. You do not need to download this patch if you use another method to upgrade to 3.6.8 Patch Level 2.
    3. This patch includes the fixes for 3.6.8 Patch Level 1.
    Attached Files
    Scott MacVicar

    My Blog | Twitter

    Comment


    • #3
      You may continue discussions in the vBulletin 3.6.8 Release thread.
      Scott MacVicar

      My Blog | Twitter

      Comment

      Related Topics

      Collapse

      Working...
      X